# language: fr
@webdelib @recette @paramétrage @javascript
Fonctionnalité: 018 - Paramétrage des Informations supplémentaires de projet

Contexte:
    Etant donné que je suis connecté avec l'utilisateur "admin"
        Et que je vais dans le menu "Administration > Informations sup. > Projet"
    Alors je devrais voir un titre contenant "Informations supplémentaires de projet"

Scénario: 001 - Ajout de l'information supplémentaire de projet "Commentaire"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Commentaire"
        Et que je remplis "Code" avec "varAutoCommentaire"
        Et que je sélectionne "Texte" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Admin fonctionnel" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Commentaire' a été ajoutée"
        Et je vois la ligne "Commentaire | | varAutoCommentaire | Texte | Non | Oui"

Scénario: 002 - Ajout de l'information supplémentaire de projet "Visas juridiques"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Visas juridiques"
        Et que je remplis "Code" avec "varAutoVisas"
        Et que je sélectionne "Texte enrichi" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Admin fonctionnel" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Visas juridiques' a été ajoutée"
        Et je vois la ligne "Visas juridiques | | varAutoVisas | Texte enrichi | Non | Oui"

Scénario: 003 - Ajout de l'information supplémentaire de projet "Date de démarrage du projet"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Date de démarrage du projet"
        Et que je remplis "Code" avec "varAutoDate"
        Et que je sélectionne "Date" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Date de démarrage du projet' a été ajoutée"
        Et je vois la ligne "Date de démarrage du projet | | varAutoDate | Date | Non | Oui"

Scénario: 004 - Ajout de l'information supplémentaire de projet "Fichier spécifique"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Fichier spécifique"
        Et que je remplis "Code" avec "varAutoFichier"
        Et que je sélectionne "Fichier" depuis "selectTypeInfoSup"
        Et que je sélectionne "pdf, Acrobat PDF (application/pdf)" depuis "InfosupdefTypemime"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Fichier spécifique' a été ajoutée"
        Et je vois la ligne "Fichier spécifique | | varAutoFichier | Fichier | Non | Oui"

Scénario: 005 - Ajout de l'information supplémentaire de projet "Fichier spécifique ODT"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Fichier spécifique ODT"
        Et que je remplis "Code" avec "varAutoFichierODT"
        Et que je sélectionne "Fichier ODT" depuis "selectTypeInfoSup"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Fichier spécifique ODT' a été ajoutée"
        Et je vois la ligne "Fichier spécifique ODT | | varAutoFichierODT | Fichier ODT | Non | Oui"

Scénario: 006 - Ajout de l'information supplémentaire de projet "Subventionné"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Subventionné"
        Et que je remplis "Code" avec "varAutoSub"
        Et que je sélectionne "Booléen" depuis "selectTypeInfoSup"
        Et que je sélectionne "Décoché" depuis "InfosupdefValInitialeBoolean"
        Et que je coche "Inclure dans la recherche"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Subventionné' a été ajoutée"
        Et je vois la ligne "Subventionné | | varAutoSub | Booléen | Oui | Oui"

Scénario: 007 - Ajout de l'information supplémentaire de projet "2nd rapporteur"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "2nd rapporteur"
        Et que je remplis "Code" avec "varAutoRapporteur"
        Et que je sélectionne "Liste" depuis "selectTypeInfoSup"
        Et que je coche "Inclure dans la recherche"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire '2nd rapporteur' a été ajoutée"
        Et je vois la ligne "2nd rapporteur | | varAutoRapporteur | Liste | Oui | Oui"

Scénario: 008 - Ajout de la liste des valeurs pour "2nd rapporteur"
    Lorsque je clique sur "Liste" dans la ligne "2nd rapporteur"
        Alors je devrais voir le titre "Liste : 2nd rapporteur"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "M. Dupond"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"M. Dupond\" a été ajouté"
        Et je vois la ligne "1 | M. Dupond | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Mme Durand"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Mme Durand\" a été ajouté"
        Et je vois la ligne "2 | Mme Durand | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "M. Duval"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"M. Duval\" a été ajouté"
        Et je vois la ligne "3 | M. Duval | Oui"

Scénario: 009 - Ajout de l'information supplémentaire de projet "Axes politiques"
    Lorsque je suis "Ajouter une information supplémentaire"
        Alors je devrais voir le titre "Ajout d'une information supplémentaire de projet"
    Lorsque je remplis "Nom" avec "Axes politiques"
        Et que je remplis "Code" avec "varAutoAxe"
        Et que je sélectionne "Liste à choix multiple" depuis "selectTypeInfoSup"
        Et que je coche "Inclure dans la recherche"
        Et que je coche "Joindre à la fusion"
        Et que je coche "information active"
        Et que je sélectionne "Administrateur" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Rédacteurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Valideurs" depuis "ProfilProfil"
        Et que je sélectionne une autre option "Assemblées" depuis "ProfilProfil"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'information supplémentaire 'Axes politiques' a été ajoutée"
        Et je vois la ligne "Axes politiques | | varAutoAxe | Liste à choix multiple | Oui | Oui"

Scénario: 010 - Ajout de la liste des valeurs pour "Axes politiques"
    Lorsque je clique sur "Liste" dans la ligne "Axes politiques"
        Alors je devrais voir le titre "Liste : Axes politiques"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Politique de la ville"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Politique de la ville\" a été ajouté"
        Et je vois la ligne "1 | Politique de la ville | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Budget de la ville"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Budget de la ville\" a été ajouté"
        Et je vois la ligne "2 | Budget de la ville | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Communication"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Communication\" a été ajouté"
        Et je vois la ligne "3 | Communication | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Agenda 21"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Agenda 21\" a été ajouté"
        Et je vois la ligne "4 | Agenda 21 | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Education"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Education\" a été ajouté"
        Et je vois la ligne "5 | Education | Oui"
    Lorsque je suis "Ajouter un élément"
        Et que je remplis "Nom" avec "Urbanisme"
        Et que je coche "élément actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "L'élément \"Urbanisme\" a été ajouté"
        Et je vois la ligne "6 | Urbanisme | Oui"
